<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://futureprofilez.com/
 * @since      1.0.0
 *
 * @package    fp-front-end-login
 * @subpackage fp-front-end-login/includes
 */

class Fp_Fel_Form {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;
		$this->wp_cbf_options = get_option($this->plugin_name);

	}

	// Load jQuery 
	public function enqueue_styles(){ 
	wp_enqueue_style(
		    'fp-fel-css',
			plugin_dir_url( dirname(__FILE__) ). 'assests/css/login-form.css',
			array(),
			$this->version,
			FALSE
		);
	}

}
?>