<?php
/**
 * Create front end login form widget.
 *
 * This file defines all code necessary to create login-form widget.
 * @link       http://futureprofilez.com/
 * @since      1.0.0
 * @since      1.0.0
 * @package    fp-front-end-login
 * @subpackage fp-front-end-login/includes
 * @author     Futureprofilez <info@futureprofilez.com>
 */
 
// Register and load the widget
function fp_load_widget() {
    register_widget( 'fp_fel_widget' );
}
add_action( 'widgets_init', 'fp_load_widget' );
 
// Creating the widget 
class fp_fel_widget extends WP_Widget {
 
function __construct() {
parent::__construct(
 
// Base ID of your widget
'fp_fel_widget', 
 
// Widget name will appear in UI
__('Fp Front End Login Widget', 'fp-front-end-login-form'), 
 
// Widget description
array( 'description' => __( 'Widget to displaying front end login form', 'fp-front-end-login-form' ), ) 
);
}
 
// Creating widget front-end
 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
 
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
 
// This is where you run the code and display the output
echo do_shortcode( '[fp_login_form]' );
echo $args['after_widget'];
}
         
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = "";
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'fp-front-end-login-form' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
     
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class fp_fel_widget ends here
?>